// FILENAME:	SLA_Dual_Assault.cs
//
// AUTHORS:  	Bandit
//------------------------------------------------------------------------------

$missionName = "DOE_Dual_Assault";

exec("multiplayerStdLib.cs");
exec("DMstdLib.cs");

function setDefaultMissionOptions()
{
	$server::TeamPlay = false;
	$server::AllowDeathmatch = true;
	$server::AllowTeamPlay = true;	

	$server::AllowTeamRed = true;
	$server::AllowTeamBlue = true;
	$server::AllowTeamYellow = false;
	$server::AllowTeamPurple = false;
}

function onMissionLoad(){
   cdAudioCycle("Watching", "Mechsoul", "Gnash", "Yougot", "NewTech", "Cloudburst", "Delirium"); 
}

function player::onAdd(%this)
{
   say(%this, 0, "Welcome to the =DOE= ROCKS server. No profanity or flaming while you are here please. To join DOE, go to http://www.clhnexus.com. To find out about our Mechwarrior league (WNL), go to http://www.mech-league.com. This map kindly provided by |OF|Bandit. Have fun and enjoy!");
}

// move the map
$server::HudMapViewOffsetX = 7500;
$server::HudMapViewOffsetY = -6000;

function onMissionStart()
{
	earthquakeSounds();
}

